# Uses of Class
org.sunflow.core.Geometry

Packages that use Geometry
Package
Description
org.sunflow
org.sunflow.core

## Uses of Geometry in org.sunflow

Methods in org.sunflow that return Geometry
Modifier and Type
Method
Description
`final Geometry`
SunflowAPI.`lookupGeometry(String name)`
Retrieve a geometry object by its name, or `null` if no geometry was found, or if the specified object is not a geometry.

## Uses of Geometry in org.sunflow.core

Methods in org.sunflow.core with parameters of type Geometry
Modifier and Type
Method
Description
`boolean`
Instance.`hasGeometry(Geometry g)`
Checks to see if this instance is relative to the specified geometry.